# Created by pyp2rpm-1.0.1
%global pypi_name terminado

Name:           python-%{pypi_name}
Version:        0.6
Release:        %mkrel 1
Group:          Development/Python
Summary:        Terminals served to term.js using Tornado websockets

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-ptyprocess

Requires:       python-ptyprocess
Requires:       python-tornado


%description
Terminals served to term.js using Tornado websockets.

%package -n     python3-%{pypi_name}
Summary:        Terminals served to term.js using Tornado websockets
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-ptyprocess

Requires:       python3-ptyprocess
Requires:       python3-tornado

%description -n python3-%{pypi_name}
Terminals served to term.js using Tornado websockets.


%prep
%setup -q -n %{pypi_name}-%{version}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%py2_install 

pushd %{py3dir}
%py3_install
popd

#%%check
#pushd %{py3dir}
#nosetests
#popd

#nosetests


%files
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu Apr 14 2016 daviddavid <daviddavid> 0.6-1.mga6
+ Revision: 1001566
- new version: 0.6
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 0.5-4.mga6
+ Revision: 970501
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 0.5-3.mga6
+ Revision: 887080
- rebuild for python 3.5

* Sat Jul 18 2015 joequant <joequant> 0.5-2.mga6
+ Revision: 855148
- requires tornado and ptyprocess

* Sun Jul 05 2015 joequant <joequant> 0.5-1.mga6
+ Revision: 850794
- imported package python-terminado

